### Signal

# Soup WebsocketConnection::pong

#### Declaration

    void
    pong (
      SoupWebsocketConnection* self,
      GBytes* message,
      gpointer user_data
    )

#### Description [src]

Emitted when we receive a Pong frame (solicited or unsolicited) from the peer.

As a convenience, the `message` data will always be `NULL`-terminated, but the NUL byte will not be included in the length count.

Default handler: The default handler is called before the handlers added via `g_signal_connect()`.

#### Parameters

`message`

  Type: `GBytes`

  The application data (if any)

  The data is owned by the caller of the function.